Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class PublicKeyFile

Read and write encoded SmartCard-HSM public keys.
Defined in: PublicKeyFile.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| PublicKeyFile(arg, arg) Create a Public Key File object.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| encode() Encode the certificate chain in TLV encoding.
| parse(content) Parse the binary file content as TLV structure and validate the certificate chain.

Class Detail
PublicKeyFile(arg, arg)
Create a Public Key File object.

Parameters:
{String} arg
  the file to read from
{CVC[]} arg
  the certificate chain with the public key first.

Method Detail
{ByteString} encode()
Encode the certificate chain in TLV encoding.

Returns:
  the encoded content for the file

parse(content)
Parse the binary file content as TLV structure and validate the certificate chain.

Parameters:
{ByteString} content
  the file content.

Documentation generated by JsDoc Toolkit 2.4.0 on Fri Mar 27 2026 16:43:33 GMT+0100 (CET)